/*------------------------------------*\
  #Generic
\*------------------------------------*/
body {
  width: 100vw;
  box-sizing: border-box;
  // &.mmenu-opened {
  //   .mainContent {
  //     height: calc(100vh - 50px);
  //     overflow: hidden;
  //   }
  // }
}
a {
  color: #333;
  text-decoration: none;
  &:focus, &:active {
    color: #333;
  }
}
input {
  line-height: 30px;
  font-size: 16px;
}
input[type="checkbox"] {
  border-radius: 0;
}
input[type="text"], input[type="email"], input[type="tel"], input[type="password"], input[type="date"], textarea {
  -webkit-appearance: none;
  border: solid 1px $line_gray;
  border-radius: 0;
  padding: 3px 10px;
}
select {
  // -webkit-appearance: none;
  border: solid 1px $line_gray;
  border-radius: 0;
  padding: 3px 10px;
  font-size: 16px;
  line-height: 32px;
  height: 32px;
  // background: url(../images/select.png) no-repeat right top,#fff;
  // &:focus {
    // background-position: right bottom;
  // }
}
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
section {
  margin: 0 0 45px;
}
.mainContent {
  transform: translateX(0);
  transition: transform .5s;
  width: 100vw;
  min-height: calc(100vh - #{$header_height} - 410px);
  // position: fixed;
  top: 0;
  left: 0;
  padding: $header_height 0 0;
}
.pageCover {
  width: 100vw;
  height: 100%;
  background: rgba(0,0,0,0.7);
  position: fixed;
  left: 0;
  top: 0;
  transition: transform .5s;
  display: none;
  z-index: 4;
}
.mmenu-opened {
  .mainContent {
    transform: translateX(80vw);
  }
  .pageCover {
    display: block;
  }
}
.secTitle {
  letter-spacing: 2px;
  margin: 45px 0 15px;
}
.btnWrap {
  text-align: center;
  padding: 30px 0;
  &.btnWrap-two {
    margin: 0 15px;
    .btn, .btn_second {
      width: calc((100% - 10px - 5px)/2);
      padding: 0;
      margin: 0 10px 0 0;
      &:last-child {
        margin: 0;
      }
    }
  }
}
.btnWrap_add {
  margin: 0 0 15px;
  a {
    font-size: 14px;
    text-decoration: underline;
    &.btn {
      text-decoration: none;
    }
  }
  label {
    font-size: 14px;
    input {
      margin: 0 10px 0 0;
    }
  }
}
.btnWrap-full {
  margin: 15px 0;
  .btn {
    width: 100%;
    margin: 0 0 5px;
  }
}
.inputwrap + .btnWrap-full {
  margin: 30px 0 15px;
}
.btn {
  display: inline-block;
  background: #333;
  color: #fff;
  font-size: 14px;
  line-height: 45px;
  padding: 0 15px;
  text-align: center;
  &:hover {
    color: #fff;
  }
  &.btn-fb {
    background: #3B5998;
    svg {
      vertical-align: middle;
    }
    &:hover {
      background: #446BBC;
    }
  }
  i {
    margin: 0 3px 0 0;
  }
}
.btn_second {
  display: inline-block;
  background: #dfdfdf;
  color: #333;
  font-size: 14px;
  line-height: 45px;
  padding: 0 15px;
  text-align: center;
  i {
    margin: 0 3px 0 0;
  }
}
.checkboxwrap {
  padding: 5px 0;
  label {
    display: block;
    font-size: 14px;
    input[type="checkbox"] {
      vertical-align: middle;
      margin: 0 5px 0 0;
    }
  }
}
.carousel {
  margin: 0 0 30px;
  .pdbox {
    margin: 0 15px;
  }
  .slick-prev, .slick-next {
    z-index: 2;
    width: 25px;
    height: 50px;
    &:before {
      display: none;
    }
  }
  .slick-prev {
  //   left: 0;
    background: url(../images/left-arrow.png) no-repeat center center/ 100% auto;
  }
  .slick-next {
  //   right: 0;
    background: url(../images/right-arrow.png) no-repeat center center/ 100% auto;
  }
}
.pdbox {
  img {
    width: 100%;
  }
}
.pdbox_name {
  margin: 5px 0 10px;
  font-size: 0.9em;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.pdbox_price {
}
.pdbox_price-origin {
  text-decoration: line-through;
  font-size: 0.8em;
}
.pdbox_price-sale {
  color: red;
}
.selectwrap {
  position: relative;
  display: inline-block;
  border: solid 1px $line_gray;
  &:after {
    content: '';
    display: block;
    position: absolute;
    width: 10px;
    height: 16px;
    background: url(../images/right-arrow.png) no-repeat center center/100% auto;
    transform: rotateZ(90deg);
    right: 10px;
    top: 8px;
    pointer-events: none;
  }
  select {
    width: 100%;
    appearance: none;
    padding: 0 45px 0 15px;
    border-radius: 0;
    line-height: 30px;
    height: 30px;
    border: 0;
    font-size: 1em;
    background: #fff;
  }
}
.breadcrumb {
  padding: 10px 15px;
  // background: $bg_gray;
  li {
    display: inline-block;
    position: relative;
    padding-right: 22px;
    &:after {
      content: '';
      display: block;
      position: absolute;
      width: 6px;
      height: 30px;
      background: url(../images/right-arrow.png) no-repeat center/100% auto;
      right: 4px;
      top: 0px;
    }
    &:last-child {
      &:after {
        display: none;
      }
      a {
        color: #333;
      }
    }
  }
  a {
    display: block;
    line-height: 30px;
    color: #888;
  }
}
.pagination {
  padding: 30px 0;
  button {
    appearance: none;
    border: 0;
    background: transparent;
    width: 10px;
    height: 30px;
    vertical-align: middle;
    &:first-child {
      background: url(../images/left-arrow.png) no-repeat center center/50% auto;
    }
    &:last-child {
      background: url(../images/right-arrow.png) no-repeat center center/50% auto;
    }
    &.disabled {
      opacity: 0.6;
    }
  }
  a {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    padding: 0 5px;
    margin: 0 5px;
    &:after {
      content: '/';
      position: absolute;
      right: -10px;
      top: 0;
      font-weight: normal;
    }
    &:last-of-type {
      &:after {
        display: none;
      }
    }
    &.active {
      font-weight: bold;
    }
  }
}
.botNotes {
  font-size: 0.8em;
  margin: 2px 0 0;
  &:last-of-type {
    margin: 2px 0 30px 0;
  }
}
.popup {
  margin: 0 auto;
  padding: 15px;
  background: #fff;
}
.popup_title {
  text-align: center;
  font-size: 1.2em;
  padding: 10px 0;
  margin: 0 0 15px;
}

.stock-ok {
  color: green;
}
.stock-low {
  color: #ee8e04;
}
.stock-zero {
  color: red;
}
.pageTitle {
  text-align: center;
  font-size: 18px;
  font-weight: bold;
  margin: 30px;
}
.inputwrap {
  margin: 0 0 15px;
  label {
    display: block;
    font-size: 14px;
  }
  input[type="text"], input[type="password"], input[type="email"], input[type="tel"], input[type="date"], select {
    width: 100%;
  }
  &.captcha {
    input {
      width: 78%;
      display: inline-block;
    }
    .captcha_img {
      max-width: 20%;
      display: inline-block;
      vertical-align: top;
    }
  }
  .btn, .btn_second {
    margin-top: 10px;
    line-height: 35px;
  }
  .inputwrap_note {
    font-size: 12px;
    margin: 0;
  }
  input + select, select + select, select + input {
    margin-top: 10px;
  }
  textarea {
    width: 100%;
  }
}
.grayBgTitle {
  color: #fff;
  padding: 0 15px 0 30px;
  margin: 0 15px;
  line-height: 30px;
  background: url(../images/label.png) no-repeat 15px center, $mid_gray;
  &.grayBgTitle-toggle {
    cursor: pointer;
    // margin: 0 15px 30px;
    background: url(../images/label.png) no-repeat 15px center, url(../images/select-white.png) no-repeat right top, $mid_gray;
    &.active {
      background: url(../images/label.png) no-repeat 15px center, url(../images/select-white.png) no-repeat right -27px, $mid_gray;
    }
  }
}
.labelTitle {
  padding: 0 0 0 25px;
  color: #333;
  line-height: 35px;
  font-size: 16px;
  border-bottom: solid 1px #333;
  background: url(../images/label-black.png) no-repeat 5px center;
}
.noteWrap {
  padding: 15px 30px;
  margin: 0 15px;
  border: solid 1px $line_gray;
  .noteWrap_head {
    margin: 0 0 30px;
    font-size: 14px;
    font-weight: bold;
  }
  ul, ol {
    padding: 0 0 0 15px;
    margin: 0 0 15px;
  }
  li {
    font-size: 14px;
  }
}
.redTxt {
  color: red;
}
.dtwrap {
  overflow: hidden;
  > .columns {
    margin-top: 0;
  }
}
.dtwrap-small {
  overflow: hidden;
}
@media (min-width: 600px) {
  .noteWrap {
    width: 540px;
    margin: 0 auto;
  }
  .btnWrap {
    &.btnWrap-two {
      .btn, .btn_second {
        width: 120px;
      }
    }
  }
}
@media (min-width: $tablet-width) {
  .pageTitle {
    font-size: 22px;
  }
  .carousel {
    width: 760px;
    margin-left: auto;
    margin-right: auto;
  }
  .popup {
    width: 500px;
    position: relative;
    padding: 30px;
  }
  .inputwrap {
    label {
      font-size: 16px;
    }
  }
}
@media (min-width: $desktop-width) {
  .dtwrap {
    max-width: 1200px;
    margin: 0 auto;
  }
  .dtwrap-small {
    max-width: 760px;
    margin: 0 auto;
  }
  .carousel {
    width: 900px;
  }
  .btn {
    &:hover {
      background: #000;
    }
  }
  .btn_second {
    &:hover {
      background: #cfcfcf;
    }
  }
}

